Get all connectors
- Base URL
-
https://{kibana_url}
-
GET
/api/actions/connectors
Auth
Indicates a successful call.
application/json
<array> object[]
-
auth_mode
enum
-
The authentication mode used for the connector.
-
Values:
shared
per-user
-
config
map string to object
-
connector_type_id
string
required
-
The connector type identifier.
-
id
string
required
-
The identifier for the connector.
-
is_connector_type_deprecated
boolean
required
-
Indicates whether the connector type is deprecated.
-
is_deprecated
boolean
required
-
Indicates whether the connector is deprecated.
-
is_missing_secrets
boolean
-
Indicates whether the connector is missing secrets.
-
is_preconfigured
boolean
required
-
Indicates whether the connector is preconfigured. If true, the config and is_missing_secrets properties are omitted from the response.
-
is_system_action
boolean
required
-
Indicates whether the connector is used for system actions.
-
name
string
required
-
The name of the connector.
-
referenced_by_count
number
required
-
The number of saved objects that reference the connector. If is_preconfigured is true, this value is not calculated.
403
Indicates that this call is forbidden.
Thank you for your feedback.